org.eclipse.swt.dnd

## Class URLTransfer

- java.lang.Object
- - org.eclipse.swt.dnd.Transfer
  - - org.eclipse.swt.dnd.ByteArrayTransfer
    - - org.eclipse.swt.dnd.URLTransfer

    public class URLTransfer
    extends ByteArrayTransfer

The class `URLTransfer` provides a platform specific mechanism for converting text in URL format represented as a java `String` to a platform specific representation of the data and vice versa. The string must contain a fully specified url.

An example of a java `String` containing a URL is shown below:

`

         String url = "http://www.eclipse.org";

`

Since:
  3.4
See Also:
  `Transfer`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static URLTransfer` `getInstance()` Returns the singleton instance of the URLTransfer class.
`protected int[]` `getTypeIds()` Returns the platform specific ids of the data types that can be converted using this transfer agent.
`protected String[]` `getTypeNames()` Returns the platform specific names of the data types that can be converted using this transfer agent.
`void` `javaToNative(Object object, TransferData transferData)` This implementation of `javaToNative` converts a URL represented by a java `String` to a platform specific representation.
`Object` `nativeToJava(TransferData transferData)` This implementation of `nativeToJava` converts a platform specific representation of a URL to a java `String`.
`protected boolean` `validate(Object object)` Test that the object is of the correct format for this Transfer class.

### Methods inherited from class org.eclipse.swt.dnd.ByteArrayTransfer

`getSupportedTypes, isSupportedType`

### Methods inherited from class org.eclipse.swt.dnd.Transfer

`registerType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static URLTransfer getInstance()

Returns the singleton instance of the URLTransfer class.

Returns:
  the singleton instance of the URLTransfer class

#### javaToNative

    public void javaToNative(Object object,
                             TransferData transferData)

This implementation of `javaToNative` converts a URL represented by a java `String` to a platform specific representation.

Overrides:
  `javaToNative` in class `ByteArrayTransfer`
Parameters:
  `object` - a java `String` containing a URL
  `transferData` - an empty `TransferData` object that will be filled in on return with the platform specific format of the data
See Also:
  `Transfer.nativeToJava(org.eclipse.swt.dnd.TransferData)`

#### nativeToJava

    public Object nativeToJava(TransferData transferData)

This implementation of `nativeToJava` converts a platform specific representation of a URL to a java `String`.

Overrides:
  `nativeToJava` in class `ByteArrayTransfer`
Parameters:
  `transferData` - the platform specific representation of the data to be converted
Returns:
  a java `String` containing a URL if the conversion was successful; otherwise null
See Also:
  `Transfer.javaToNative(java.lang.Object, org.eclipse.swt.dnd.TransferData)`

#### getTypeIds

    protected int[] getTypeIds()

Description copied from class: `Transfer`
Returns the platform specific ids of the data types that can be converted using this transfer agent.

Specified by:
  `getTypeIds` in class `Transfer`
Returns:
  the platform specific ids of the data types that can be converted using this transfer agent

#### getTypeNames

    protected String[] getTypeNames()

Description copied from class: `Transfer`
Returns the platform specific names of the data types that can be converted using this transfer agent.

Specified by:
  `getTypeNames` in class `Transfer`
Returns:
  the platform specific names of the data types that can be converted using this transfer agent.

#### validate

    protected boolean validate(Object object)

Description copied from class: `Transfer`
Test that the object is of the correct format for this Transfer class.

Overrides:
  `validate` in class `Transfer`
Parameters:
  `object` - a java representation of the data to be converted
Returns:
  true if object is of the correct form for this transfer type